import { ButtonHtmlTypes, ButtonTypes, ColorStyles } from '../../../types';
import React, { ReactNode } from 'react';
export declare type ButtonProps = {
    label: string;
    className?: string;
    type: ButtonTypes;
    htmlType?: ButtonHtmlTypes;
    colorStyle?: ColorStyles;
    children?: ReactNode;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
    onKeyDown?: (e: React.KeyboardEvent<HTMLButtonElement>) => void;
    onMouseDown?: (e: React.MouseEvent<HTMLButtonElement>) => void;
    disabled?: boolean;
};
/**
 * A basic button
 */
export declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
