export declare type AlertProps = {
    preview?: boolean;
};
/**
 * When th epage is viewed in preview mode, display a snackbar floating in the top center of the browser
 * with a link to exit the preview mode.
 *
 * This component is visible only when preview is true.
 *
 * @param preview
 * @constructor
 */
export declare const Alert: ({ preview }: AlertProps) => JSX.Element;
