export declare type VideoMaskProps = {
    maskId: string;
    backgroundColorHex: string;
};
/**
 * SVG mask applied on an image or video, with different types of mask shapes.
 * @param maskId
 * @param backgroundColorHex
 * @constructor
 */
export declare const VideoMask: ({ maskId, backgroundColorHex }: VideoMaskProps) => JSX.Element;
